extends Node

var hud : HUD
var speech_panel : SpeechPanel

var player_infos := PlayerInfos.new()

var player_input_enabled := true setget player_input_enabled_set
signal player_input_change

func player_input_enabled_set(value):
	player_input_enabled = value
	emit_signal("player_input_change", value)
